View Issue Details

IDProjectCategoryView StatusLast Update
0016697Buildsyscommunity buildsyspublic2019-11-07 12:34
Reportereimamagi 
PrioritynormalSeverityblockReproducibilityalways
Status assignedResolutionopen 
Summary0016697: opendaylight-6.4.0 repository missing repodata
DescriptionHi,

we are trying to use CBS opendaylight 6.4.0 repository:
https://cbs.centos.org/repos/nfv7-opendaylight-6-release/x86_64/os/

Package is there, but repodata directory is empty:
https://cbs.centos.org/repos/nfv7-opendaylight-6-release/x86_64/os/repodata/
which causes yum to break.

Seems repodata was last time updated on October 31st.
TagsNo tags attached.

Relationships

related to 0016700 newalphacc Create new tags for Opendaylight Sodium SR2 and Neon SR3 release 

Activities

arrfab

arrfab

2019-11-06 11:50

administrator   ~0035645

So, the first thing to know is that such repository shouldn't be used, as it's only on one node, and with unsigned packages.
No provided .repo file (distributed through -release- pkg) would point to that location either.

It seems nothing was even pushed and tagged as -release but you should contact the SIG-NFV team about this instead
arrfab

arrfab

2019-11-06 11:52

administrator   ~0035646

Just to add that only the following pks/repositories are processed to be signed and pushed :
https://git.centos.org/centos/cbs-content-control/blob/master/f/sign_list#_299

Again, it would be a question for the NFV SIG
arrfab

arrfab

2019-11-06 12:02

administrator   ~0035647

and just to be complete/fair, yes, there was an issue for that repo, so it's now fixed, but it doesn't change the fact that one should only use released/signed pkgs and nothing from the build environment :)
eimamagi

eimamagi

2019-11-06 12:03

reporter   ~0035648

Hi,

this repository is being used by OpenStack Kolla SW, we opened a bug there and suggested that this repository should not be used:
 https://bugs.launchpad.net/kolla-ansible/+bug/1851491

Naive question - can we push this bug to NFV SIG? Or should we open a brand new one somewhere else?

Cheers
emir
apevec

apevec

2019-11-06 14:15

reporter   ~0035649

as updated in the LP bug, this was fixed in upstream Kolla https://review.opendev.org/#/q/I242945edba84b891ccbf82d5fcce8ef5fe37ad3d
but not in a tagged release yet, suggestion is to use Kolla from git.

Re. NFV SIG - there is no action on SIG side for this specific case since it was fixed upstream, we could only transform this into a request to cleanup SIG tags for unmaintained projects (which ODL seems to be)

Issue History

Date Modified Username Field Change
2019-11-05 14:00 eimamagi New Issue
2019-11-06 11:50 arrfab Status new => feedback
2019-11-06 11:50 arrfab Note Added: 0035645
2019-11-06 11:52 arrfab Note Added: 0035646
2019-11-06 12:02 arrfab Note Added: 0035647
2019-11-06 12:03 eimamagi Note Added: 0035648
2019-11-06 12:03 eimamagi Status feedback => assigned
2019-11-06 14:15 apevec Note Added: 0035649
2019-11-07 12:34 arrfab Relationship added related to 0016700